package com.mortals.xhx.module.matter.model;

import com.mortals.xhx.module.matter.model.vo.MatterExtVo;
/**
* 事项扩展实体对象
*
* @author zxfei
* @date 2022-11-23
*/

public class MatterExtEntity extends MatterExtVo {
    private static final long serialVersionUID = 1L;

    /**
    * 事项基础表matter id
    */
    private Long matterId;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 字段编码
    */
    private String fieldCode;
    /**
    * 字段名称
    */
    private String fieldName;
    /**
    * 字段值
    */
    private String fieldValue;
    /**
    * 字段类型
    */
    private String fieldType;
    /**
    * 字段排序号
    */
    private Long fieldOrderNo;
    /**
    * 事项来源，(0.政务网，1.自定义)
    */
    private Integer source;



    public MatterExtEntity(){}
    /**
    * 获取 事项基础表matter id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项基础表matter id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项编码
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编码
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 字段编码
    * @return String
    */
    public String getFieldCode(){
        return fieldCode;
    }
    /**
    * 设置 字段编码
    * @param fieldCode
    */
    public void setFieldCode(String fieldCode){
        this.fieldCode = fieldCode;
    }
    /**
    * 获取 字段名称
    * @return String
    */
    public String getFieldName(){
        return fieldName;
    }
    /**
    * 设置 字段名称
    * @param fieldName
    */
    public void setFieldName(String fieldName){
        this.fieldName = fieldName;
    }
    /**
    * 获取 字段值
    * @return String
    */
    public String getFieldValue(){
        return fieldValue;
    }
    /**
    * 设置 字段值
    * @param fieldValue
    */
    public void setFieldValue(String fieldValue){
        this.fieldValue = fieldValue;
    }
    /**
    * 获取 字段类型
    * @return String
    */
    public String getFieldType(){
        return fieldType;
    }
    /**
    * 设置 字段类型
    * @param fieldType
    */
    public void setFieldType(String fieldType){
        this.fieldType = fieldType;
    }
    /**
    * 获取 字段排序号
    * @return Long
    */
    public Long getFieldOrderNo(){
        return fieldOrderNo;
    }
    /**
    * 设置 字段排序号
    * @param fieldOrderNo
    */
    public void setFieldOrderNo(Long fieldOrderNo){
        this.fieldOrderNo = fieldOrderNo;
    }
    /**
    * 获取 事项来源，(0.政务网，1.自定义)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 事项来源，(0.政务网，1.自定义)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterExtEntity) {
            MatterExtEntity tmp = (MatterExtEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",fieldCode:").append(getFieldCode());
        sb.append(",fieldName:").append(getFieldName());
        sb.append(",fieldValue:").append(getFieldValue());
        sb.append(",fieldType:").append(getFieldType());
        sb.append(",fieldOrderNo:").append(getFieldOrderNo());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.matterId = 0L;

            this.matterCode = null;

            this.matterName = null;

            this.fieldCode = null;

            this.fieldName = null;

            this.fieldValue = null;

            this.fieldType = null;

            this.fieldOrderNo = 0L;

            this.source = 0;
    }
}